//https://www.learn2crack.com/2014/04/android-read-write-file.html

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
 
import android.util.Log;
 
public class FileOperations {
     public FileOperations() {
 
        }
 
     public Boolean write(String fname, String fcontent){
            try {
 
                String fpath = "/sdcard/"+fname+".txt";
 
                File file = new File(fpath);
 
                // If file does not exists, then create it
                if (!file.exists()) {
                    file.createNewFile();
                }
 
                FileWriter fw = new FileWriter(file.getAbsoluteFile());
                BufferedWriter bw = new BufferedWriter(fw);
                bw.write(fcontent);
                bw.close();
 
                Log.d("Suceess","Sucess");
                return true;
 
            } catch (IOException e) {
                e.printStackTrace();
                return false;
            }
 
     }
 
     public String read(String fname){
 
         BufferedReader br = null;
         String response = null;
 
            try {
 
                StringBuffer output = new StringBuffer();
                String fpath = "/sdcard/"+fname+".txt";
 
                br = new BufferedReader(new FileReader(fpath));
                String line = "";
                while ((line = br.readLine()) != null) {
                    output.append(line +"n");
                }
                response = output.toString();
 
            } catch (IOException e) {
                e.printStackTrace();
                return null;
 
            }
            return response;
 
     }
}



import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import android.app.Activity;
 
import learn2crack.androidfile.FileOperations;
 
public class MainActivity extends Activity {
    EditText fname,fcontent,fnameread;
    Button write,read;
    TextView filecon;
 
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        fname = (EditText)findViewById(R.id.fname);
        fcontent = (EditText)findViewById(R.id.ftext);
        fnameread = (EditText)findViewById(R.id.fnameread);
        write = (Button)findViewById(R.id.btnwrite);
        read = (Button)findViewById(R.id.btnread);
        filecon = (TextView)findViewById(R.id.filecon);
        write.setOnClickListener(new View.OnClickListener() {
 
        @Override
        public void onClick(View arg0) {
            // TODO Auto-generated method stub
        String filename = fname.getText().toString();
        String filecontent = fcontent.getText().toString();
        FileOperations fop = new FileOperations();
        fop.write(filename, filecontent);
        if(fop.write(filename, filecontent)){
        Toast.makeText(getApplicationContext(), filename+".txt created", Toast.LENGTH_SHORT).show();
        }else{
            Toast.makeText(getApplicationContext(), "I/O error", Toast.LENGTH_SHORT).show();
 
        }
        }
    });
    read.setOnClickListener(new View.OnClickListener() {
 
        @Override
        public void onClick(View arg0) {
            // TODO Auto-generated method stub
            String readfilename = fnameread.getText().toString();
            FileOperations fop = new FileOperations();
            String text = fop.read(readfilename);
            if(text != null){
            filecon.setText(text);
            }
            else {
                Toast.makeText(getApplicationContext(), "File not Found", Toast.LENGTH_SHORT).show();
                filecon.setText(null);
            }
 
        }
    });
    }
    }
	
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:layout_gravity="center"
    tools:context=".MainActivity" >
 
    <TextView
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:textAlignment="center"
        android:text="Android Read/Write File" />
    <EditText
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:id="@+id/fname"
        android:hint="File Name" />
    <EditText
        android:layout_width="fill_parent"
        android:layout_height="100px"
        android:id="@+id/ftext"
        android:hint="File Text" />
    <Button
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:id="@+id/btnwrite"
        android:text="Write File" />
    <EditText
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:id="@+id/fnameread"
        android:hint="File Name" />
       <Button
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:id="@+id/btnread"
        android:text="Read File" />
       <TextView
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:id="@+id/filecon" />
 
</LinearLayout>	